# SourcePath: nfs-utils/20070928dev
Summary: NFS utlilities and supporting daemons for the kernel NFS server.
Name: sony-target-dev-nfs-utils
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-nfs-utils
Version: 1.1.0
Release: 08010002
License: GPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL		: http://nfs.sourceforge.net
Source	  	: nfs-utils-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%description
The nfs-utils package provides a daemon for the kernel NFS server and
related tools, which provides a much higher level of performance than the
traditional Linux NFS server used by most users.

This package also contains the showmount program.  Showmount queries the
mount daemon on a remote host for information about the NFS (Network File
System) server on the remote host.  For example, showmount can display the
clients which are mounted on that host. 

%package -n %{pkgname}
Summary: NFS utlilities and supporting daemons for the kernel NFS server.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The nfs-utils package provides a daemon for the kernel NFS server and
related tools, which provides a much higher level of performance than the
traditional Linux NFS server used by most users.

This package also contains the showmount program.  Showmount queries the
mount daemon on a remote host for information about the NFS (Network File
System) server on the remote host.  For example, showmount can display the
clients which are mounted on that host. 

%prep
%setup -q -n nfs-utils-%{version}

%build
%sony_target_dev_setup
# using sony_target_dev_configure macro would cause build error, since
# nfs-utils doesn't recognize objdir.
./configure --host=%{sony_target_config} \
	    --build=%{sony_host_config}  \
	    --prefix=%{sony_target_dev_prefix} \
	    --disable-nls --disable-gss --disable-nfsv4 \
	    --enable-mount \
	    --without-uuid --with-gnu-ld && \
make -C tools/rpcgen CC=gcc
make
make -C tools/rpcgen clean
make -C tools/rpcgen

%install
%sony_target_dev_setup

rm -rf %{buildroot}
make DESTDIR=%{buildroot}%{sony_target_dir} \
     statduser=${USER} statedir=%{sony_target_dev_localstate_dir}/lib/nfs \
     install

mv %{buildroot}%{sony_target_dir}/sbin \
   %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/sbin
# remove nfsv4. configuring with --disable-nfsv4 does not seem to work...
for f in mount.nfs4 umount.nfs4 ; do
  rm %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/sbin/$f
done

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_rel_sysconf_dir}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_rel_localstate_dir}/lib
cd %{buildroot}%{sony_target_dir}%{sony_target_rel_localstate_dir}/lib
ln -s ../..%{sony_target_dev_localstate_dir}/lib/nfs nfs

touch %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/exports

cd %{buildroot}%{sony_target_dir}%{sony_target_rel_sysconf_dir}/
ln -s ..%{sony_target_dev_sysconf_dir}/exports exports

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}

# remove x86 binary
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}/rpcdebug

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root,-)
###%{sony_target_dir}
%{sony_target_dir}%{sony_target_dev_dir}/sbin/mount.nfs
%{sony_target_dir}%{sony_target_dev_dir}/sbin/umount.nfs

%{sony_target_dir}%{sony_target_dev_sbin_dir}/exportfs
%{sony_target_dir}%{sony_target_dev_sbin_dir}/nfsstat
%{sony_target_dir}%{sony_target_dev_sbin_dir}/rpc.mountd
%{sony_target_dir}%{sony_target_dev_sbin_dir}/rpc.nfsd
%{sony_target_dir}%{sony_target_dev_sbin_dir}/rpc.statd
%{sony_target_dir}%{sony_target_dev_sbin_dir}/showmount
%{sony_target_dir}%{sony_target_dev_sbin_dir}/sm-notify
%{sony_target_dir}%{sony_target_dev_sbin_dir}/start-statd

%{sony_target_dir}%{sony_target_rel_sysconf_dir}/exports
%{sony_target_dir}%{sony_target_dev_sysconf_dir}/exports

%{sony_target_dir}%{sony_target_rel_localstate_dir}/lib/nfs
%{sony_target_dir}%{sony_target_dev_localstate_dir}/lib/nfs/etab
%{sony_target_dir}%{sony_target_dev_localstate_dir}/lib/nfs/rmtab
%{sony_target_dir}%{sony_target_dev_localstate_dir}/lib/nfs/sm
%{sony_target_dir}%{sony_target_dev_localstate_dir}/lib/nfs/sm.bak
%{sony_target_dir}%{sony_target_dev_localstate_dir}/lib/nfs/state
%{sony_target_dir}%{sony_target_dev_localstate_dir}/lib/nfs/xtab

%changelog
* Fri Apr 17 2009 Sony Corporation
- Updated to 6.x

* Wed Mar 04 2009 Sony Corporation
- Remove x86 binary

* Fri Sep 28 2007 Sony Corporation
- Source Version 1.0.6 -> 1.1.0

* Wed Aug 29 2007 Sony Corporation
- Integrated CE3.x and CE4.x.

* Tue May 29 2007 Sony Corporation
- CE4.X: added kernel-2.6.21 patch

* Tue May 10 2005 Sony Corporation
- modify symbolic links

* Fri Mar 25 2005 Sony Corporation
- add some links

* Tue Feb 01 2005 Sony Corporation
- delete init.d script

* Fri Nov 19 2004 Sony Corporation
- delete online manual

* Tue Nov 2 2004 Sony Corporation
- Source Version 1.0.2 -> 1.0.6
- MVL31=>sony version

* Fri Aug 20 2004 Sony Corporation - nfs-utils
- Initial build.  Conformed to 20040825-rule
